BizKitHub
DocsAPI ReferenceOrganisation Structure/bff/organisation-structure/department-create

/bff/organisation-structure/department-create

Create a department (requires module-members)

Organisation structurepostBffOrganisation-structureDepartment-create

Parameters

JSON body

Request body

application/json
namestringRequired
Length: 1–128
descriptionstring | nullOptional
One of 2:
Variant 1
string
Length: 0–2000
Variant 2
null
parentIdstring | nullOptional
One of 2:
Variant 1
string
Length: 1–32
Variant 2
null
leadMemberIdstring | nullOptional
One of 2:
Variant 1
string
Length: 1–32
Variant 2
null
colorstring | nullOptional
One of 2:
Variant 1
string
Length: 0–16
Variant 2
null
positionstring | integerOptional
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer
Range: 0–10000
chatEnabledbooleanOptional

Department channel in team chat (managed membership).

Response schema

1 status code documented

200Success
idstringRequired

Response example

application/json
{
  "id": "example_id"
}

Request example

POST /bff/organisation-structure/department-create

post
curl -X POST "https://api.bizkithub.com/bff/organisation-structure/department-create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "name": "example_name",
  "chatEnabled": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key